%global fontname aldusleaf-crimson-text
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.8
Release:        0.7.20130806%{?dist}
Summary:        A latin font for the production of technical books and papers

License:        OFL
URL:            http://aldusleaf.org/0-crimson.html
Source0:        https://github.com/skosch/Crimson/archive/webfonts-august2013-2.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        generate.pe
Source3:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel fontforge
Requires:       fontpackages-filesystem

%description
A latin font for a quality typeface for the production of books and
papers, particularly technical ones.


%prep
%setup -q -n Crimson-webfonts-august2013-2
cp -p %{SOURCE2} sfd

%build
pushd sfd
./generate.pe *.sfd
popd

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p sfd/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-0.7.20130806
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-0.6.20130806
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.5.20130806
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.8-0.4.20130806
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-0.3.20130806
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 08 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.8-0.2.20130806
- Resolves:rh#1016406-Improvement to fontconfig file

* Mon Oct 07 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.8-0.1.20130806
- Resolves:rh#1015954:Update to latest upstream release on github

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.7.20100628
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.20100628
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20100628
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.4.20100628
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20100628
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 20 2010 Parag Nemade <pnemade AT redhat.com> - 0.1-0.2.20100628
- Added generate.pe and used source to generate ttf files.

* Fri Jul 16 2010 Parag Nemade <pnemade AT redhat.com> - 0.1-0.1.20100628
- Update to new upstream release.

* Thu Jun 17 2010 Parag Nemade <pnemade AT redhat.com> - 0.1-0.1.20100608
- Update to new upstream release.

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 0-0.2.20100523
- Renamed to follow fonts package naming guidelines.

* Thu May 27 2010 Parag Nemade <pnemade AT redhat.com> - 0-0.1.20100523
- Initial Fedora release.

